# How to contribute

Thank you for considering contributing to eurogastp!

Our goal is to initiate an open source project which means we welcome any number of contributors who can help us making eurogastp to the most
useful tool ever created to work with European gas-related transparency data.

Feel free to fork the project, improve it and and send us a pull request. We will definitely have a look at it and accept it unless we think that
it breaks with fundamental principles and goals of the project.

Every bit of work helps, even seemingly small things like fixing a small nasty bug, adding an application example to the Examples folder, improving
documentation etc. that every other user will appreciate. And also, please contribute what is arguably the most challenging of all tasks in
eurogastp: keeping the topology file up-to-date and adjusting it to newly built gas infrastructure and changing reporting behaviors of the TSOs.

Thank you!!!


# Rules

* Keep pull requests as small as possible, preferably one new feature per request.
* Consider creating issues for any major changes and enhancements that you wish to make. Discuss things transparently and get community feedback.


# Your First Contribution

Working on your first Pull Request? You can learn how from this *free* series,
[How to Contribute to an Open Source Project on GitHub](https://egghead.io/courses/how-to-contribute-to-an-open-source-project-on-github).
Other sources to check: http://makeapullrequest.com/ and http://www.firsttimersonly.com/.

At this point, you're ready to make your changes! Feel free to ask for help. Everyone is a beginner at first!

Happy coding!


# Basic procedure

1. Create your own fork of the code.
2. Do the changes in a branch of your fork.
3. If you like the change and think the project could use it:
    * Be sure you have followed the code style for the project.
    * Make sure that the code quality is of high standards.
    * Update the relevant parts of the documentation.
    * Send a pull request.


# How to report a bug

When filing an issue related to a bug, make sure to answer these five questions:

 1. What version are you using?
 2. What operating system and processor architecture are you using?
 3. What did you do?
 4. What did you expect to see?
 5. What did you see instead?
